$(function () {
    $("#example1").DataTable({
        "responsive": true, "lengthChange": false, "autoWidth": false,
        "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"]
    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
    $('#example2').DataTable({
        "paging": true,
        "lengthChange": false,
        "searching": false,
        "ordering": true,
        "info": true,
        "autoWidth": false,
        "responsive": true,
    });
    $("#formProyecto").on("submit", function (e) {
        guardaryactualizarProyecto(e);
    });
    $("#formExamen").on("submit", function (e) {
        guardaryactualizarExamen(e);
    });    
});

$(document).ready(function () {
    $('#titulacion-data').DataTable({
        "aProcessing": true,
        "aServerSide": true,
        dom: 'Bfrtip',
        buttons: [
            'copyHtml5',
            'excelHtml5',
            'csvHtml5',
            'pdfHtml5',
            'print',
            'colvis'
        ],
        "ajax": {
            url: "../../controller/titulacion.php?op=listar&fil=all",
            type: "post"
        },
        "bDestroy": true,
        "responsive": true,
        "bInfo": true,
        "iDisplayLength": 20,
        "order": [[0, "desc"]],
        "language": {
            "sProcessing": "Procesando...",
            "sLengthMenu": "Mostrar _MENU_ registros",
            "sZeroRecords": "No se encontraron resultados",
            "sEmptyTable": "Ningun dato disponible en esta tabla",
            "sInfo": "Mostrando registro del _START_ al _END_ de un total de _TOTAL_ registros",
            "sInfoEmpty": "Mostrando registros del 0 al 0 de un total de 0 registros",
            "sInfoFiltered": "(filtrado de un total de _MAX_ registros)",
            "sInfoPostFix": "",
            "sSearch": "Buscar:",
            "sUrl": "",
            "sInfoThousands": ",",
            "sLoadingRecords": "Cargando...",
            "oPaginate": {
                "sFirst": "Primero",
                "sLast": "Ultimo",
                "sNext": "Siguiente",
                "sPrevious": "Anterior"
            },
            "oAria": {
                "sSortAscending": ": Activar para ordenar la columna de manera ascendente",
                "sSortDescending": ": Activar para ordenar la columna de manera descendente"
            }
        },
    });
    combo_carrera();
    combo_estudiante();
    combo_tipo();
    combo_periodo();
    combo_carreraE();
    combo_estudianteE();    
    combo_periodoE();
    
});
function combo_carrera() {
    $.post("../../controller/carrera.php?op=comboCarrera", function (data) {
        $('#carrera').html(data);
    });
}
function combo_estudiante() {
    $.post("../../controller/matricula.php?op=comboEstudiantePorCarrera", {carreradbk: $('#carrera').val()}, function (data) {
        $('#estudiante').html(data);
    });
}
function combo_carreraE() {
    $.post("../../controller/carrera.php?op=comboCarrera", function (data) {
        $('#carreraE').html(data);
    });
}
function combo_estudianteE() {
    $.post("../../controller/matricula.php?op=comboEstudiantePorCarrera", {carreradbk: $('#carreraE').val()}, function (data) {
        $('#estudianteE').html(data);
    });
}
function combo_tipo() {
    $.post("../../controller/catalogo.php?op=titulacion", function (data) {
        $('#tipo').html(data);
    });
}
function combo_periodo() {
    $.post("../../controller/periodo.php?op=comboPeriodo", function (data) {
        $('#periodo').html(data);
    });
}
function combo_periodoE() {
    $.post("../../controller/periodo.php?op=comboPeriodo", function (data) {
        $('#periodoE').html(data);
    });
}
$("#carrera").change(function () {
    $("#carrera option:selected").each(function () {
        carreradbk = $(this).val();
        $("#estudiante").removeAttr('disabled');
        combo_estudiante();
    })
})
$("#carreraE").change(function () {
    $("#carreraE option:selected").each(function () {
        carreradbk = $(this).val();
        $("#estudianteE").removeAttr('disabled');
        combo_estudianteE();
    })
})
function nuevoP() {
    $('#titulaciondbk').val('');
    $('#carrera').val('').trigger('change');
    $('#estudiante').val('').trigger('change');
    $('#tipo').val('').trigger('change');
    $('#titulo').val('');
    $('#tribunal').val('');
    $('#oral').val('');
    $('#periodo').val('').trigger('modalidad');
    $('#fecha_defensa').val('');
    $('#fecha_acta').val('');
    $('#acta').val('');
    $('#expediente').val('');
    $('#folio').val('');
    $('#lblTitulo').html('Nuevo Registro');
    $('#formProyecto')[0].reset();
    $('#proyecto').modal('show');
}
function nuevoE() {
    $('#titulaciondbkE').val('');
    $('#carreraE').val('').trigger('change');
    $('#estudianteE').val('').trigger('change');
    $('#examen').val('');
    $('#oralE').val('');    
    $('#periodoE').val('').trigger('modalidad');
    $('#fecha_defensaE').val('');
    $('#fecha_actaE').val('');
    $('#actaE').val('');
    $('#expedienteE').val('');
    $('#folioE').val('');
    $('#lblTitulo').html('Nuevo Registro');
    $('#formExamen')[0].reset();
    $('#examen').modal('show');
}
function guardaryactualizarProyecto(e) {
    e.preventDefault();
    var formData = new FormData($("#formProyecto")[0]);    
    $.ajax({
        url: '../../controller/titulacion.php?op=guardarP',
        type: "POST",
        data: formData,
        contentType: false,
        processData: false,
        success: function (data) {
            $('#titulacion-data').DataTable().ajax.reload();
            $('#proyecto').modal('hide');
            Swal.fire({
                title: 'Operacion Exitosa',
                text: 'La información se ha guardada satisfactoriamente',
                icon: 'success',
                confirmButtonText: 'Aceptar'
            })
        }
    });
}
function guardaryactualizarExamen(e) {
    e.preventDefault();
    var formData = new FormData($("#formExamen")[0]);    
    $.ajax({
        url: '../../controller/titulacion.php?op=guardarE',
        type: "POST",
        data: formData,
        contentType: false,
        processData: false,
        success: function (data) {
            //alert(data);
            $('#titulacion-data').DataTable().ajax.reload();
            $('#examen').modal('hide');
            Swal.fire({
                title: 'Operacion Exitosa',
                text: 'La información se ha guardada satisfactoriamente',
                icon: 'success',
                confirmButtonText: 'Aceptar'
            })
        }
    });
}
function eliminar(titulaciondbk) {
    swal.fire({
        title: "Eliminar",
        text: "Desea Eliminar el Registro de manera definitiva",
        icon: "error",
        confirmButtonText: "Si",
        showCancelButton: true,
        cancelButtonText: "No",
    }).then((result) => {
        if (result.value) {
            $.post("../../controller/titulacion.php?op=eliminar", {titulaciondbk: titulaciondbk}, function (data) {
                $('#titulacion-data').DataTable().ajax.reload();
                Swal.fire({
                    title: 'Operacion Exitosa',
                    text: 'El registro se elimino correctamente',
                    icon: 'success',
                    confirmButtonText: 'Aceptar'
                })
            });
        }
    });
}